#!/bin/sh

version=$1
dir=$2
name=$3

[ -z "$name" ] && echo "Usage: $0 <version> <dir> <name>" && echo "" && echo "  Example: release.sh 0.6 gpmi libgpmi" && echo "" && echo " It will put the packages under releases/ in the same dir" && echo "  this script is called from" && exit 1

mkdir -p releases

# First export the stuff
svn export "$dir" "releases/$name-$version"

# Now go to the right dir
cd releases
# And pack the stuff
tar zcvf "$name-$version.tar.gz" "$name-$version"
tar jcvf "$name-$version.tar.bz2" "$name-$version"

# Now upload
echo "anonymous
cd incoming
put $name-$version.tar.gz
exit" | ftp upload.sourceforge.net

echo "anonymous
cd incoming
put $name-$version.tar.bz2
exit" | ftp upload.sourceforge.net

echo "$name $version stripped, packed, and uploaded!"

