#ifndef SCRIPT_MODULE_RUBY_H
#define SCRIPT_MODULE_RUBY_H

#include <ruby.h>
#include "packages/gpmi_scripts.h"

int  Ruby_Initialize(void **client_data);
void Ruby_Destroy(void **client_data);
void Ruby_RegisterCommand(void *client_data, const char *name);
int  Ruby_LoadScript(void *client_data, const char *filename);
char *Ruby_GetExtension();
void Ruby_CallFunction(void *client_data, const char *function, int argc, const char **argv);

void Ruby_Uninitialize( void );

#endif /* SCRIPT_MODULE_RUBY_H */
