#include <gpmi.h>

extern const gpmi_keyword_static_int example_colors_ska[];

int Example_int(int offset);
char *Example_string(int num, char *text);
int Example_do_nothing(int param);
unsigned int Example_uint(unsigned int offset);

gpmi_define_event(Example_nothing)(int developement_year, int parameter);

/* The enum version for C */
typedef enum example_colors_e {
	example_red			=	1,
	example_green		=	2,
	example_blue		=	4,
} example_colors_t;

gpmi_keyword *Example_colors_kw; /* of example_colors_t */

example_colors_t Example_color_rot(example_colors_t color);
multiple example_colors_t Example_color_inv(multiple example_colors_t color);

//#define gpmi_namespace_example	ex

